-- Command Info
-- CFFFF0000 = Red
-- CFF0066FF = Blue
DEFAULT_CHAT_FRAME:AddMessage("|CFFFF0000Objection!|r loaded! Type |CFFFF0000/jection|r or |CFFFF0000/ject|r for commands.")

-- Slash Commands
-- Includes Phoenix, Mia, Godot
SLASH_JECTION1, SLASH_JECTION2 = '/jection', '/ject';
function SlashCmdList.JECTION(msg, editbox)
 print("|CFF0066FFPhoenix Wright|r")
 print(" |CFFFF0000Objection!|r = /pwject or /pwjection")
 print(" |CFFFF0000Hold It!|r = /pwhold or /pwhi")
 print(" |CFFFF0000Take That!|r = /pwtake or /pwtt")
 
 print("|CFF0066FFMia Fey|r")
 print(" |CFFFF0000Objection!|r = /mfject or /mfjection")
 print(" |CFFFF0000Hold It!|r = /mfhold or /mfhi")
 print(" |CFFFF0000Take That!|r = /mftake or /mftt")
 
 print("|CFF0066FFMiles Edgeworth|r")
 print(" |CFFFF0000Objection!|r = /meject or /mejection")
 print(" |CFFFF0000Hold It!|r = /mehold or /mehi")
 print(" |CFFFF0000Take That!|r = /metake or /mett")
 print(" |CFFFF0000Eureka!|r = /mereka or /meeureka")
 
 print("|CFF0066FFApollo Justice|r")
 print(" |CFFFF0000Objection!|r = /ajject or /ajjection")
 print(" |CFFFF0000Hold It!|r = /ajhold or /ajhi")
 print(" |CFFFF0000Take That!|r = /ajtake or /ajtt")
 print(" |CFFFF0000Gotcha!|r = /ajgot or /ajgotcha")
 
 print("|CFF0066FFAthena Cykes|r")
 print(" |CFFFF0000Objection!|r = /acject or /acjection")
 print(" |CFFFF0000Hold It!|r = /achold or /achi")
 print(" |CFFFF0000Take That!|r = /actake or /actt")
 
 print("|CFF0066FFGodot|r")
 print(" |CFFFF0000Objection!|r = /godject or /godjection")
 
 print("(Scroll up to see full list.)")
end 

--Phoenix Wright
SLASH_PWJECT1, SLASH_PWJECT2 = '/pwject', '/pwjection';
function SlashCmdList.PWJECT(msg, editbox)
 SendChatMessage("*OBJECTION!*", "SAY")
 DoEmote("object")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\PhoenixO.mp3", "Master");
end

SLASH_PWHOLD1, SLASH_PWHOLD2 = '/pwhold', '/pwhi';
function SlashCmdList.PWHOLD(msg, editbox)
 SendChatMessage("*HOLD IT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\PhoenixH.mp3", "Master");
end

SLASH_PWTAKE1, SLASH_PWTAKE2 = '/pwtake', '/pwtt';
function SlashCmdList.PWTAKE(msg, editbox)
 SendChatMessage("*TAKE THAT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\PhoenixT.mp3", "Master");
end

-- Mia Fey 
SLASH_MFJECT1, MFSLASH_JECT2 = '/mfject', '/mfjection'; -- 3.
function SlashCmdList.MFJECT(msg, editbox) -- 4.
 SendChatMessage("*OBJECTION!!*", "SAY")
 DoEmote("object")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\MiaO.mp3", "Master");
end

SLASH_MFHOLD1, SLASH_MFHOLD2 = '/mfhold', '/mfhi';
function SlashCmdList.MFHOLD(msg, editbox)
 SendChatMessage("*HOLD IT!!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\MiaH.mp3", "Master");
end

SLASH_MFTAKE1, SLASH_MFTAKE2 = '/mftake', '/mftt';
function SlashCmdList.MFTAKE(msg, editbox)
 SendChatMessage("*TAKE THAT!!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\MiaT.mp3", "Master");
end

--Miles Edgeworth
SLASH_MEJECT1, SLASH_MEJECT2 = '/meject', '/mejection';
function SlashCmdList.MEJECT(msg, editbox)
 SendChatMessage("*OBJECTION!*", "SAY")
 DoEmote("object")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\EdgeworthO.mp3", "Master");
end

SLASH_MEHOLD1, SLASH_MEHOLD2 = '/mehold', '/mehi';
function SlashCmdList.MEHOLD(msg, editbox)
 SendChatMessage("*HOLD IT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\EdgeworthH.mp3", "Master");
end

SLASH_METAKE1, SLASH_METAKE2 = '/metake', '/mett';
function SlashCmdList.METAKE(msg, editbox)
 SendChatMessage("*TAKE THAT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\EdgeworthT.mp3", "Master");
end

SLASH_MEREKA1, SLASH_MEREKA2 = '/mereka', '/meeureka';
function SlashCmdList.MEREKA(msg, editbox)
 SendChatMessage("*EUREKA!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\EdgeworthE.mp3", "Master");
end

-- Godot 
SLASH_GODJECT1, SLASH_GODJECT2 = '/godject', '/godjection';
function SlashCmdList.GODJECT(msg, editbox)
 SendChatMessage("*Objection!*", "SAY")
 DoEmote("drink")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\GodotO.mp3", "Master");
end

-- Apollo Justice
SLASH_AJJECT1, SLASH_AJJECT2 = '/ajject', '/ajjection';
function SlashCmdList.AJJECT(msg, editbox)
 SendChatMessage("*Objection!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\ApolloO.mp3", "Master"); 
 end

SLASH_AJHOLD1, SLASH_AJHOLD2 = '/ajhold', '/ajhi'; 
function SlashCmdList.AJHOLD(msg, editbox)
 SendChatMessage("*HOLD IT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\ApolloH.mp3", "Master");
end

SLASH_AJTAKE1, SLASH_AJTAKE2 = '/ajtake', '/ajtt';
function SlashCmdList.AJTAKE(msg, editbox)
 SendChatMessage("*TAKE THAT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\ApolloT.mp3", "Master");
end

SLASH_AJGOT1, SLASH_AJGOT2 = '/ajgot', '/ajgotcha';
function SlashCmdList.AJGOT(msg, editbox)
 SendChatMessage("*GOTCHA!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\ApolloG.mp3", "Master");
end

--Athena Cykes
SLASH_ACJECT1, SLASH_ACJECT2 = '/acject', '/acjection';
function SlashCmdList.ACJECT(msg, editbox)
 SendChatMessage("*OBJECTION!*", "SAY")
 DoEmote("object")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\AthenaO.mp3", "Master");
end

SLASH_ACHOLD1, SLASH_ACHOLD2 = '/achold', '/achi';
function SlashCmdList.ACHOLD(msg, editbox)
 SendChatMessage("*HOLD IT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\AthenaH.mp3", "Master");
end

SLASH_ACTAKE1, SLASH_ACTAKE2 = '/actake', '/actt';
function SlashCmdList.ACTAKE(msg, editbox)
 SendChatMessage("*TAKE THAT!*", "SAY")
 DoEmote("point")
 PlaySoundFile("Interface\\AddOns\\Objection\\ObjectionAudio\\AthenaT.mp3", "Master");
end